import javax.swing.*;
import java.awt.*;

public class Zeichensatz extends JFrame {
    public static void main(String[] args) {
        Zeichensatz fenster = new Zeichensatz();
    }

    public Zeichensatz() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setTitle("Zeichensatzinfo mit Java");
        add(new ZeichensatzPanel());
        setSize(600, 300);
        setVisible(true);
    }

    class ZeichensatzPanel extends JPanel {
        @Override
        public void paint(Graphics g) {
            int breite = getWidth();
            int hoehe = getHeight();
            g.setFont(new Font("Serif", Font.PLAIN, 20));
            // Nun holen wir die Schrift-Informationen
            FontMetrics fm = g.getFontMetrics();
            int zeile = 1; // Zeilenpositionierungszähler
            g.drawString("Fenstergröße: " +
                    breite + " x " + hoehe,
                    0, zeile * fm.getHeight());
            zeile++;
            g.drawString("Zeilenhöhe: " + fm.getHeight(),
                    0, zeile * fm.getHeight());
            zeile++;
            g.drawString("Ascent: " + fm.getAscent(),
                    0, zeile * fm.getHeight());
            zeile++;
            g.drawString("Descent: " + fm.getDescent(),
                    0, zeile * fm.getHeight());
            zeile++;
            g.drawString("Durchschuss: " + fm.getLeading(),
                    0, zeile * fm.getHeight());
            zeile++;
            g.drawString("Breite von \"Willemer\": " +
                    fm.stringWidth("Willemer"),
                    0, zeile * fm.getHeight());
        }
    }
}
