import java.io.File;

public class DirAnzeigeVisitor implements DirVisitor {
    int tiefe;

    @Override
    public void betreten(File dir) {
        tiefe++;
        zeigName(dir.getName(), tiefe);
    }

    @Override
    public void verlassen(File dir) {
        tiefe--;
    }

    @Override
    public void besuchen(File datei) {
        zeigName(datei.getName(), tiefe);
    }

    private void zeigName(String name, int tiefe) {
        for (int i=0; i<tiefe; i++) {
            System.out.print("  ");
        }
        System.out.println(name);
    }
}
