package vasen;

public class VasenOfen implements Runnable {

    private int anzahl;
    private Verpacker verpacker;

    public VasenOfen(Verpacker verpackung, int anzahl) {
        this.verpacker = verpackung;
        this.anzahl = anzahl;
    }

    @Override
    public void run() {
        for (int i = 0; i < anzahl; i++) {
            // Von Zeit zu Zeit wird eine Vase fertig
            try {
                Thread.sleep((long) (100 * Math.random()));
            } catch (InterruptedException e) {
            }
            // Verpacken ist ein kritischer Bereich!
            verpacker.verpacke();
        }
    }
}
