package rmi;

import java.rmi.Naming;

public class MeinClient {
    public static void main(String[] args) {
        String url = "rmi://127.0.0.1/MeinServer";
        try {
            ServerInterface server = (ServerInterface) 
            		Naming.lookup(url);
            String meldung = server.bitteMeldeMich("Arnold");
            System.out.println(meldung);
            int zahl = server.gibZahl();
            System.out.println(zahl);
            Person person = server.lieferePerson();
            System.out.println(person.name);
            System.out.println(person.getGebJahr());
            person = server.altere(person);
            System.out.println(person.getGebJahr());
            
        } catch (Exception e) {
        	e.printStackTrace();
        }
    }
}
