package client;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.HttpURLConnection;
import java.net.URL;


public class HttpGastClient {

	public static HttpURLConnection connectGast(String query) throws IOException {
		String url = "http://localhost:8080/Gast/";
		String charset = "UTF-8";
		HttpURLConnection connection = null;
		connection = (HttpURLConnection) new URL(url + query).openConnection();
		connection.setRequestProperty("Accept-Charset", charset);
		connection.setDoOutput(true);
		connection.setDoInput(true);
		connection.setUseCaches(false);
		return connection;
	}

	public static void createGast(model.Gast gast) throws IOException {
		// String meldung = "Nicht erzeugt";
		// Gast in einen String umwandeln
		String str = "";
		str += "name=" + gast.getName();
		str += "&adresse=" + gast.getAdresse();
		str += "&ort=" + gast.getOrt();
		str += "&email=" + gast.getEmail();
		str += "&telefon=" + gast.getTelefon();
		
		String query = "ctrlNeuGast";
		HttpURLConnection connection = connectGast(query);
		// create is POST!
		connection.setRequestMethod("POST");
		//connection.setDoOutput(true); // setzt implizit auf POST?
		//connection.setDoInput(true);
		// Sende die Anfrage:
		System.out.println(str);
		OutputStream os = connection.getOutputStream();
		OutputStreamWriter osw = new OutputStreamWriter(os, "UTF-8");
		osw.write(str);
		osw.flush();
		osw.close();
		// Hole die Antwort ab
        StringBuilder stringBuilder = new StringBuilder();
        if (connection.getResponseCode() == HttpURLConnection.HTTP_OK){
            InputStreamReader streamReader = new InputStreamReader(connection.getInputStream());
            BufferedReader bufferedReader = new BufferedReader(streamReader);
            String response = null;
            while ((response = bufferedReader.readLine()) != null) {
                stringBuilder.append(response + "\n");
            }
            bufferedReader.close();
            // meldung = response;
        } else {
        	System.out.println(connection.getResponseMessage());
        }
		// return meldung;
	}
	
	public static void main(String[] args) throws IOException {
		model.Gast gast = new model.Gast();
		gast.setName("Http Client");
		gast.setAdresse("Heimweg 13");
		gast.setOrt("Bad Humbug");
		gast.setEmail("gast@heidi.alm");
		gast.setTelefon("06172-007");
		createGast(gast);
	}
}
