import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class RestClientHttpUrl {

    public static String get(String url) {
        String rueckgabe="";
        try {
            HttpURLConnection verbind = (HttpURLConnection)
                    new URL(url).openConnection();
            verbind.setDoInput(true);
            //verbind.setDoOutput(true);
            //verbind.setRequestProperty("Accept", "application/xml");
            verbind.setRequestProperty("Content-Type", "application/xml; charset=UTF-8");
            verbind.setRequestMethod("GET");
            InputStream inStream = verbind.getInputStream();
            BufferedReader in = new BufferedReader(
                    new InputStreamReader(inStream));
            String empfangeneZeile;
            StringBuffer antwort = new StringBuffer();

            while ((empfangeneZeile = in.readLine()) != null) {
                antwort.append(empfangeneZeile + "\n");
            }
            in.close();
            rueckgabe = antwort.toString();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return rueckgabe;
    }

    public static void main(String[] args) {
        String xmlStr;
        xmlStr = "http://localhost:8080/HeidiRest/mieten/gast/all";
        System.out.println(get(xmlStr));
        xmlStr = "http://localhost:8080/HeidiRest/mieten/gast/name/Arnold";
        System.out.println(get(xmlStr));
        xmlStr = "http://localhost:8080/HeidiRest/mieten/gast/id/2";
        System.out.println(get(xmlStr));
    }
}
