package model;

public class SoapGastProxy implements model.SoapGast {
  private String _endpoint = null;
  private model.SoapGast soapGast = null;
  
  public SoapGastProxy() {
    _initSoapGastProxy();
  }
  
  public SoapGastProxy(String endpoint) {
    _endpoint = endpoint;
    _initSoapGastProxy();
  }
  
  private void _initSoapGastProxy() {
    try {
      soapGast = (new model.SoapGastServiceLocator()).getSoapGast();
      if (soapGast != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)soapGast)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)soapGast)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (soapGast != null)
      ((javax.xml.rpc.Stub)soapGast)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public model.SoapGast getSoapGast() {
    if (soapGast == null)
      _initSoapGastProxy();
    return soapGast;
  }
  
  public void speichere(model.Gast gast) throws java.rmi.RemoteException{
    if (soapGast == null)
      _initSoapGastProxy();
    soapGast.speichere(gast);
  }
  
  public model.Gast[] hole(java.lang.String muster) throws java.rmi.RemoteException{
    if (soapGast == null)
      _initSoapGastProxy();
    return soapGast.hole(muster);
  }
  
  
}