import java.util.Enumeration;
import java.util.Hashtable;

public class HashtableDemo {

    public static void main(String[] args) {
        Hashtable<String, Kreis> kfzKreis
                = new Hashtable<String, Kreis>();
        kfzKreis.put("SL",
                new Kreis("Schleswig-Flensburg",197903));
        kfzKreis.put("HG",
                new Kreis("Hochtaunuskreis",227425));
        kfzKreis.put("MH", new Kreis("Muehlheim",167344));
        kfzKreis.put("PI", new Kreis("Pinneberg",303481));
        System.out.println("Es gibt " + kfzKreis.size()
                + " Kennzeichen.");
        if (kfzKreis.containsKey("PI")) {
            System.out.println("PI ist das Kennzeichen von: "
                    + kfzKreis.get("PI").getWo());
        } else {
            System.out.println("Kennzeichen PI unbekannt");
        }
        kfzKreis.remove("PI");
        System.out.println("Eine Liste: ");
        Enumeration e = kfzKreis.keys();
        while (e.hasMoreElements()) {
            String k = (String) e.nextElement();
            System.out.print(k + ": "
                    + kfzKreis.get(k).getWo());
            System.out.print(" ("
                    + kfzKreis.get(k).getEinwohner());
            System.out.println(" Einwohner)");
        }
    }
}
