import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.Box;
import java.awt.Dimension;

public class BoxTest extends JFrame {
    BoxTest() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        Box box = Box.createVerticalBox();

        box.add(new JButton("Anton"));
        box.add(Box.createRigidArea(new Dimension(5,5)));

        box.add(new JButton("Berta"));
        box.add(Box.createVerticalGlue());
        box.add(new JButton("Caesar"));
        // Filler wird vorbereitet
        Dimension min = new Dimension(30, 30);
        Dimension pref = new Dimension(120, 120);
        Dimension max = new Dimension(250, 250);
        box.add(new Box.Filler(min, pref, max));
        box.add(new JButton("Dorian"));
        // die Box wird ins JFrame eingebaut
        add(box);

        pack();
        setVisible(true);
    }

    public static void main(String[] args) {
       new BoxTest();
    }
}
