import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JSplitPane;
import java.awt.BorderLayout;
import java.awt.GridLayout;

public class DiaSplit extends JFrame {

    DiaSplit() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLayout(new BorderLayout());

        String[] strSender = { "ARD", "ZDF", "NDR", "BR",
                               "WDR", "MDR", "SAT1", "RTL" };
        JList list = new JList<String>(strSender);
        JPanel rechtsPanel = new JPanel();
        // Der Splitter wird zwischen die Liste und das
        // rechte Panel für die Buttons gesetzt
        JSplitPane splitPane = new JSplitPane(
                JSplitPane.HORIZONTAL_SPLIT,
                list, rechtsPanel);
        splitPane.setOneTouchExpandable(true);
        splitPane.setDividerLocation(250);
        add(splitPane, BorderLayout.CENTER);
        rechtsPanel.setLayout(new BorderLayout());
        JButton schliessButton = new JButton("Schließen");
        rechtsPanel.add(schliessButton, BorderLayout.SOUTH);

        JPanel buttonPanel = new JPanel();
        buttonPanel.setLayout(new GridLayout(2,1));
        rechtsPanel.add(buttonPanel, BorderLayout.NORTH);
        JButton hinzuButton = new JButton("Hinzufügen");
        JButton bearbeitenButton = new JButton("Bearbeiten");
        buttonPanel.add(hinzuButton);
        buttonPanel.add(bearbeitenButton);

        this.setSize(400, 300);
        // pack();
        this.setVisible(true);
    }

    public static void main(String[] args) {
       new DiaSplit();
    }
}
