import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class Combobox extends JFrame
                      implements ActionListener {
    public static void main(String[] args) {
        new Combobox();
    }

    JLabel beschriftung = new JLabel("");
    JComboBox<String> waehler;
    int index = 0;

    public Combobox() {
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        String[] fuellung = {"Tomatensuppe",
                "Kartoffelschnee", "Gulaschsuppe",
                "Puree de pommes de terre", "Erbsensuppe"};
        waehler = new JComboBox<String>(fuellung);
        waehler.setEditable(true);
        setLayout(new GridLayout(2, 1));
        this.add(waehler);
        this.add(beschriftung);
        waehler.addActionListener(this);
        pack(); // Zusammensetzen
        setVisible(true); // Sichtbar machen
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getSource()==waehler) {
            if (e.getActionCommand().equals(
                    "comboBoxEdited")) {
                // Combobox wurde editiert
                String str = (String)
                        waehler.getSelectedItem();
                if (str!=null && !str.isEmpty()) {
                    // Neuen Eintrag in die Liste
                    waehler.addItem(str);
                }
            } else {
                index = waehler.getSelectedIndex();
                if (index>=0) {
                    System.out.println(index);
                    beschriftung.setText(
                            waehler.getItemAt(index));
                }
            }
        }
    }
}
