import javafx.application.Application;
import javafx.geometry.NodeOrientation;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.ColumnConstraints;
import javafx.scene.layout.FlowPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.Priority;
import javafx.stage.Stage;

public class FxBorderGrid extends Application {

    @Override
    public void start(Stage hauptStage) throws Exception {
        BorderPane border = new BorderPane();
        GridPane grid = new GridPane();
        ColumnConstraints col0 = new ColumnConstraints();
        col0.setHgrow(Priority.NEVER);
        ColumnConstraints col1 = new ColumnConstraints();
        col1.setHgrow(Priority.ALWAYS);
        grid.getColumnConstraints().addAll(col0, col1);
        grid.setHgap(4);
        grid.setVgap(4);
        TextField editName = new TextField();
        TextField editStr = new TextField();
        TextField editOrt = new TextField();
        grid.add(new Label("Ihre Anschrift"), 0, 0, 2, 1);
        grid.add(new Label("Name:"), 0, 1);
        grid.add(editName, 1, 1);
        grid.add(new Label("Straße:"), 0, 2);
        grid.add(editStr, 1, 2);
        grid.add(new Label("Ort:"), 0, 3);
        grid.add(editOrt, 1, 3);
        border.setCenter(grid);
        FlowPane flow = new FlowPane(4, 4);
        flow.setNodeOrientation(NodeOrientation.RIGHT_TO_LEFT);
        flow.getChildren().add(new Button("OK"));
        flow.getChildren().add(new Button("Abbrechen"));
        border.setBottom(flow);
        Scene scene = new Scene(border);
        hauptStage.setScene(scene);
        hauptStage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}
