import javafx.application.Application;
import javafx.geometry.Orientation;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class FxFlowPane extends Application {
    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage hauptStage) throws Exception {
        FlowPane pane = new FlowPane(
                Orientation.HORIZONTAL, 5, 3);
        String str = "";
        for (int i = 0; i < 15; i++) {
            str += i;
            Button b = new Button(str);
            pane.getChildren().add(b);
        }
        Scene scene = new Scene(pane, 400, 200);
        hauptStage.setScene(scene);
        hauptStage.show();

    }
}
