import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.control.RadioButton;
import javafx.scene.control.ToggleGroup;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class FxRadioButton extends Application
        implements EventHandler<ActionEvent> {

    public static void main(String[] args) {
        launch(args);
    }

    private Label label = new Label("RadioButtons");
    RadioButton []rbSender = null;

    @Override
    public void start(Stage hauptStage) {
        VBox pane = new VBox();
        ToggleGroup senderGroup = new ToggleGroup();
        String strSender[] = {"ARD", "ZDF", "NDR", "arte"};
        rbSender = new RadioButton[strSender.length];
        for (int i=0; i<strSender.length; i++) {
            rbSender[i] = new RadioButton(strSender[i]);
            rbSender[i].setOnAction(this);
            rbSender[i].setToggleGroup(senderGroup);
            pane.getChildren().add(rbSender[i]);
        }
        pane.getChildren().add(label);
        Scene scene = new Scene(pane, 250, 150);
        hauptStage.setScene(scene);
        hauptStage.show();
    }

    @Override
    public void handle(ActionEvent event) {
        String str = "";
        label.setText(str);
        for (RadioButton rb : rbSender) {
            if (event.getSource() == rb) {
                System.out.println("array");
                label.setText(rb.getText());
            }
        }
        // Ohne Speichern der RadioButtons:
        if (event.getSource().getClass()
                == RadioButton.class) {
            System.out.println("class");
            RadioButton rb = (RadioButton) event.getSource();
            str = rb.getText();
            label.setText(str);
        }
    }
}
