import java.io.File;

public class RekursivDir {

    public static void main(String[] args) {
        File dir = new File(".");
        durchsuche(dir);
    }

    static private int tiefe = 0;

    static void durchsuche(File dir) {
        if (dir.isDirectory()) {
            tiefe++;
            zeige(dir, tiefe);
            File[] liste = dir.listFiles();
            for (File datei : liste) {
                if (datei.isDirectory()) {
                    durchsuche(datei);
                } else {
                    zeige(datei, tiefe+1);
                }
            }
        }
        // Verzeichnis ausgelesen. Tiefe reduzieren
        tiefe--;
    }

    private static void zeige(File dir, int tiefe) {
        for (int i=0; i<tiefe; i++) {
            System.out.print("  ");
        }
        System.out.println(dir.getName());
    }
}
