import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.InputMismatchException;
import java.util.NoSuchElementException;

public class Zahlenlesen {

    public static void main(String[] args) {
        java.io.File datei = new java.io.File("datei.txt");
        if (datei.exists()) {
            java.util.Scanner eingabe = null;
            try {
                eingabe = new java.util.Scanner(datei);
                while(eingabe.hasNext()) {
                    double zahl = eingabe.nextDouble();
                    System.out.println(zahl);
                };
            } catch (FileNotFoundException e) {
                System.out.println("Keine Datei?");
            } catch (InputMismatchException e) {
                System.out.println("Zahlenformat!");
            } catch (NoSuchElementException e) {
                // Datei ist ausgelesen
            } catch (Exception e) {
                e.printStackTrace(); // Zeige den Fehler an
            }
            if (eingabe!=null) {
                eingabe.close();
            }
        }
    }
}
