import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class JpaHauptprogramm {

    public static void main(String[] args) {
        EntityManagerFactory factory =
                Persistence.createEntityManagerFactory("Jpa4");
        EntityManager manager = factory.createEntityManager();
        // Testdaten erzeugen
        manager.getTransaction().begin();
        manager.persist(createArtikel("Lutscher", 12, .45));
        manager.persist(createArtikel("Bonbon", 15, .28));
        manager.getTransaction().commit();
        // Daten auslesen und anzeigen
        Query query = manager.createQuery("select t from artikel t");
        List<Artikel> liste = query.getResultList();
        for (Artikel artikel : liste) {
            System.out.println(artikel);
        }
        manager.close();
    }

    private static Artikel createArtikel(String name,
            int menge, double preis) {
        Artikel artikel = new Artikel();
        artikel.setName(name);
        artikel.setMenge(menge);
        artikel.setPreis(preis);
        return artikel;
    }
}
