import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.beans.PropertyVetoException;
import java.beans.VetoableChangeListener;
import java.beans.VetoableChangeSupport;

public class Person {
    private String name;
    private boolean single = true;

    private PropertyChangeSupport singleinfo
            = new PropertyChangeSupport(this);

    public static final String SINGLE = "single";

    public void addSingleListener(
            PropertyChangeListener listener) {

        singleinfo.addPropertyChangeListener(SINGLE, listener);
    }

    public void setSingle(boolean neuerStatus) {
        singleinfo.firePropertyChange(SINGLE,
                this.single, neuerStatus);
        this.single = neuerStatus;
    }

    public static final String NAME = "name";
    private VetoableChangeSupport vetos
            = new VetoableChangeSupport(this);

    public void meldeVetoRechtAn(
            VetoableChangeListener listener) {
        vetos.addVetoableChangeListener(listener);
    }

    public void setName(String name) {
        try {
            vetos.fireVetoableChange(NAME, this.name, name);
            this.name = name;
        } catch (PropertyVetoException e) {
        }
    }


    public String getName() {
        return this.name;
    }
}
