public class TimeOut implements Runnable {

    static private Object object = new Object();

    private void warte() {
        try {
            // Wir können nur auf ein Objekt zugreifen,
            // wenn wir es zuvor synchronisieren
            synchronized(object) {
                object.wait();
            }
            System.out.println("Ich ende regulär");
        } catch (InterruptedException e) {
            System.out.println("Ich wurde unterbrochen");
        }
    }

    @Override
    public void run() {
        warte();
    }

    public static void main(String[] args) {
        Thread thread = new Thread(new TimeOut());
        thread.start();
        try {
            Thread.sleep(2000);
            // Unterbreche den Hintergrund-Thread:
            thread.interrupt();
            Thread.sleep(2000);
            // Löse das Ereignis aus, auf das der Thread wartet
            synchronized(object) {
                object.notify();
            }
        } catch (InterruptedException e) {
        }
    }
}
