package vasen;

public class Karton {
    private int kartons = 0;

    public void neuerKarton(int anzahl) {
        synchronized(this){
            kartons += anzahl;
            notify();
       }
    }

    public void verbraucheKarton() {
        synchronized(this) {
            while (kartons<=0) {
                try {
                    wait();
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
            kartons--;
        }
    }
}

