package gast;

public class UmzugProxy implements gast.Umzug {
  private String _endpoint = null;
  private gast.Umzug umzug = null;
  
  public UmzugProxy() {
    _initUmzugProxy();
  }
  
  public UmzugProxy(String endpoint) {
    _endpoint = endpoint;
    _initUmzugProxy();
  }
  
  private void _initUmzugProxy() {
    try {
      umzug = (new gast.UmzugServiceLocator()).getUmzug();
      if (umzug != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)umzug)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)umzug)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (umzug != null)
      ((javax.xml.rpc.Stub)umzug)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public gast.Umzug getUmzug() {
    if (umzug == null)
      _initUmzugProxy();
    return umzug;
  }
  
  public gast.Gast ziehe(gast.Gast gast, java.lang.String ort) throws java.rmi.RemoteException{
    if (umzug == null)
      _initUmzugProxy();
    return umzug.ziehe(gast, ort);
  }
  
  
}